View Issue Details

IDProjectCategoryView StatusLast Update
00030663 - Current Dev ListEnhancementpublic2019-01-27 08:36
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.171 
Target VersionFixed in Version6.5.0.187 
Summary0003066: Logbook callsign lookup configuration could identify USB sticks and show volume names
DescriptionThe "Local Data" tab in the Callsign Lookup preferences has some static text that tells user the drive letter of their CD. CD drives are getting less common, rpelaced by USB drives. The code to detect drives should be enhanced to find USB drives as well as CD drives.

USB drives aren't distinctly identifiable as a drive type. However, we can show "removable" devices. If the volume name of the disk or device is shown in the same UI, it would be helpful in identifying which device or media is moutned.

Steps To Reproduce
1) Fire up the logbook
2) Use the "Tools" menu to get to the "Config" tear-off.
3) In the Config tear-off, use the "Callsign Lookup" command
4) In the "Callsign Lookup" property sheet, use the "Local Sources" tab

BUG#1) CD/DVD drives are listed, but not identified. No USB keys are listed.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Relationships

Activities

K7ZCZ

2019-01-17 11:52

manager   ~0007020

Added the new UI with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4732

WA9PIE

2019-01-27 08:36

administrator   ~0007085

Validated (very nice)

Issue History

Date Modified Username Field Change
2019-01-14 15:35 K7ZCZ New Issue
2019-01-17 11:52 K7ZCZ Assigned To => K7ZCZ
2019-01-17 11:52 K7ZCZ Status new => resolved
2019-01-17 11:52 K7ZCZ Resolution open => fixed
2019-01-17 11:52 K7ZCZ Note Added: 0007020
2019-01-19 10:11 K7ZCZ Fixed in Version => 6.5.0.184
2019-01-27 08:36 WA9PIE Status resolved => closed
2019-01-27 08:36 WA9PIE Fixed in Version 6.5.0.184 => 6.5.0.187
2019-01-27 08:36 WA9PIE Steps to Reproduce Updated View Revisions
2019-01-27 08:36 WA9PIE Testing Not Started => Beta Successful
2019-01-27 08:36 WA9PIE Note Added: 0007085